package visual
{
	import visual.Tile;
	import flash.display.Sprite;
	
	public class Screen extends Sprite{
		
		private var _screenArray:Array;
		private var _tiles:Array;
		
		public function Screen(screenArray:Array){
			_screenArray = screenArray;
			_tiles = new Array();
			var tile:Tile;
			var row:Array;
			
			// create matrix
			for(var i:uint=0;i<_screenArray.length;i++){
				row = _screenArray[i] as Array;
				for(var j:uint=0;j<row.length;j++){
					// create a new tile and push it to _tiles
					tile = new Tile(Number(row[j]),j,i)
					addChild(tile)
					_tiles.push(tile);
				}	
			}		
		}
		
		//let other classes get the tiles array. 
		public function get allTiles():Array{
			return _tiles;
		}
	}
}